%define epoch		0

%define name		umfpack
%define NAME		UMFPACK
%define version		5.4.0
%define major		%{version}
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Routines for solving unsymmetric sparse linear systems
Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
Epoch:		%{epoch}
Group:		System/Libraries
License:	GPLv2+
URL:		http://www.cise.ufl.edu/research/sparse/umfpack/
Source0:	http://www.cise.ufl.edu/research/sparse/umfpack/%{NAME}-%{version}.tar.gz
BuildRequires:	amd-devel
BuildRequires:	blas-devel
BuildRequires:	suitesparse-common-devel >= 3.2.0-2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
UMFPACK provides a set of routines for solving unsymmetric sparse
linear systems Ax=b using the Unsymmetric MultiFrontal method. It is
written in ANSI/ISO C. Note that "UMFPACK" is pronounced in two
syllables, "Umph Pack"; it is not "You Em Ef Pack".

%package -n %{libname}
Summary:	Library of routines for solving unsymmetric sparse linear systems
Group:		System/Libraries
Provides:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	lib%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname %{name} 5

%description -n %{libname}
UMFPACK provides a set of routines for solving unsymmetric sparse
linear systems Ax=b using the Unsymmetric MultiFrontal method. It is
written in ANSI/ISO C. Note that "UMFPACK" is pronounced in two
syllables, "Umph Pack"; it is not "You Em Ef Pack".

This package contains the library needed to run programs dynamically
linked against %{NAME}.

%package -n %{develname}
Summary:	C routines for solving unsymmetric sparse linear systems
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	blas-devel
Requires:	amd-devel
Requires:	suitesparse-common-devel >= 3.0.0
Obsoletes:	%mklibname %{name} 4.6 -d
Obsoletes:	%mklibname %{name} 5 -d
Obsoletes:	%mklibname %{name} 5 -d -s

%description -n %{develname}
UMFPACK provides a set of routines for solving unsymmetric sparse
linear systems Ax=b using the Unsymmetric MultiFrontal method. It is
written in ANSI/ISO C. Note that "UMFPACK" is pronounced in two
syllables, "Umph Pack"; it is not "You Em Ef Pack".

This package contains the files needed to develop applications which
use %{name}.

%prep
%setup -q -c 
%setup -q -D -n %{name}-%{version}/%{NAME}
mkdir ../UFconfig
ln -sf %{_includedir}/suitesparse/UFconfig.* ../UFconfig

%build
pushd Lib
    %make -f GNUmakefile CC=%__cc CFLAGS="%{optflags} -fPIC -I%{_includedir}/suitesparse" INC=
    %__cc -shared -Wl,-soname,lib%{name}.so.%{major} -o lib%{name}.so.%{version} -lamd -lblas -lm *.o
popd

%install
%__rm -rf %{buildroot}

%__install -d -m 755 %{buildroot}%{_libdir} 
%__install -d -m 755 %{buildroot}%{_includedir}/suitesparse 

for f in Lib/*.so*; do
    %__install -m 755 $f %{buildroot}%{_libdir}/`basename $f`
done
for f in Lib/*.a; do
    %__install -m 644 $f %{buildroot}%{_libdir}/`basename $f`
done
for f in Include/*.h; do
    %__install -m 644 $f %{buildroot}%{_includedir}/suitesparse/`basename $f`
done

%__ln_s lib%{name}.so.%{version} %{buildroot}%{_libdir}/lib%{name}.so

%__install -d -m 755 %{buildroot}%{_docdir}/%{name}
%__install -m 644 README.txt Doc/*.txt Doc/*.pdf Doc/ChangeLog Doc/License %{buildroot}%{_docdir}/%{name}

%clean
%__rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libumfpack.so.%{major}

%files -n %{develname}
%defattr(-,root,root)
%{_docdir}/%{name}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a




%changelog
* Thu Mar 31 2011 grenoya <grenoya> 0:5.4.0-2.mga1
+ Revision: 79335
- clean old Mdv syntax
- imported package umfpack


* Fri Aug 06 2010 Funda Wang <fwang@mandriva.org> 0:5.4.0-2mdv2011.0
+ Revision: 566587
- rebuild for new amd

* Sun Dec 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0:5.4.0-1mdv2010.1
+ Revision: 480421
- update to new version 5.4.0

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0:5.2.0-14mdv2010.0
+ Revision: 445610
- rebuild

* Sun Dec 14 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0:5.2.0-13mdv2009.1
+ Revision: 314249
- provide libumfpack

* Wed Dec 03 2008 Lev Givon <lev@mandriva.org> 0:5.2.0-12mdv2009.1
+ Revision: 309523
- Use UFconfig files from suitesparse-common-devel package.

* Mon Dec 01 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0:5.2.0-11mdv2009.1
+ Revision: 308919
- add reuires on suitesparse-common-devel
- devel package should require blas-devel

* Sun Nov 30 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0:5.2.0-10mdv2009.1
+ Revision: 308587
- spec file clean
- obsolete suitesparse umfpack library
- do not require suitesparse-common-devel

* Sun Oct 19 2008 Lev Givon <lev@mandriva.org> 5.2.0-9mdv2009.1
+ Revision: 295205
- Update license info.
- Specify amd-devel version to enable building on 2008.0.

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Götz Waschk <waschk@mandriva.org> 5.2.0-4mdv2008.1
+ Revision: 140373
- remove wrong obsoletes (bug #36449)
- move huge docs to the devel package
- update file list

* Wed Jan 02 2008 Lev Givon <lev@mandriva.org> 5.2.0-3mdv2008.1
+ Revision: 140208
- Obsolete old static devel package.

* Tue Jan 01 2008 Lev Givon <lev@mandriva.org> 5.2.0-2mdv2008.1
+ Revision: 140134
- Update UFconfig.
  Update obsoletes, merge with package provided by suitesparse.

* Thu Dec 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.2.0-1mdv2008.1
+ Revision: 136038
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.1.0-1mdv2008.0
+ Revision: 80381
- new version
  new devel policy
  new doc policy


* Fri Dec 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.6-3mdv2007.0
+ Revision: 97277
- link against libamd (fix #27675)
- Import umfpack

* Wed Aug 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.6-2mdv2007.0
- Rebuild

* Thu Jan 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.6-1mdk
- first mdk release

